Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de.UTF-8):	Client für das 'trivial file transfer protocol (tftp)'
Summary(fr.UTF-8):	Client pour le « trivial file transfer protocol » (tftp)
Summary(pl.UTF-8):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Name:		atftp
Version:	0.7.1
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://downloads.sourceforge.net/project/atftp/%{name}-%{version}.tar.gz
# Source0-md5:	367bf401965fbed04585b1229c2191a8
Source1:	%{name}d.inetd
Source2:	%{name}d.init
Source3:	%{name}d.sysconfig
Patch0:		%{name}-tinfo.patch
Patch1:		%{name}-clk.patch
URL:		http://sourceforge.net/projects/atftp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains tftp client.

%description -l de.UTF-8
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr.UTF-8
Le « trivial file transfer protocol » (tftp) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -l pl.UTF-8
Tftp (trivial file transfer protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikację
tftp klienta.

%description -l tr.UTF-8
İlkel dosya aktarım protokolu genelde disksiz iş istasyonlarının ağ
üzerinden açılmalarında kullanılır. Güvenlik denetimleri çok az
olduğundan zorunlu kalmadıkça çalıştırılmamalıdır.

%package -n atftpd-common
Summary:	Daemon for the trivial file transfer protocol (tftp)
Summary(de.UTF-8):	Dämon für das 'trivial file transfer protocol (tftp)'
Summary(fr.UTF-8):	Démon pour le « trivial file transfer protocol » (tftp)
Summary(pl.UTF-8):	Serwer tftp (trivial file transfer protocol)
Summary(tr.UTF-8):	İlkel dosya aktarım protokolu (TFTP) için sunucu ve istemci
Group:		Networking/Daemons/FTP
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Provides:	user(tftp)

%description -n atftpd-common
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n atftpd-common -l de.UTF-8
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n atftpd-common -l fr.UTF-8
Le « trivial file transfer protocol » (tftp) est normalement utilisé
uniquement pour démarrer les stations de travail sans disque. Il offre
très peu de sécurité et ne devrait pas être activé sauf si c'est
nécessaire.

%description -n atftpd-common -l pl.UTF-8
TFTP (Trivial File Transfer Protocol) jest używany głównie do
startowania stacji bezdyskowych z sieci. Serwer tftp powinien być
instalowany tylko wtedy, kiedy zachodzi taka konieczność ponieważ
należy on do aplikacji o niskim poziomie bezpieczeństwa.

%package -n atftpd-inetd
Summary:	inetd configs for atftpd
Summary(pl.UTF-8):	Pliki konfiguracyjne do użycia atftpd poprzez inetd
Group:		Networking/Daemons/FTP
Requires:	atftpd-common = %{epoch}:%{version}-%{release}
Requires:	rc-inetd >= 0.8.1
Provides:	tftpdaemon
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n atftpd-inetd
atftpd configs for running from inetd.

%description -n atftpd-inetd -l pl.UTF-8
Pliki konfiguracyjna atftpd do startowania demona poprzez inetd.

%package -n atftpd-standalone
Summary:	Standalone daemon configs for atftpd
Summary(pl.UTF-8):	Pliki konfiguracyjne do startowania atftpd w trybie standalone
Group:		Networking/Daemons/FTP
Requires:	atftpd-common = %{epoch}:%{version}-%{release}
Requires:	rc-scripts
Provides:	tftpdaemon
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	tftpd-hpa
Obsoletes:	utftpd

%description -n atftpd-standalone
atftpd configs for running as a standalone daemon.

%description -n atftpd-standalone -l pl.UTF-8
Pliki konfiguracyjne atftpd do startowania demona w trybie
standalone.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i -e 's#AM_CONFIG_HEADER#AC_CONFIG_HEADERS#g' configure.ac
sed -i -e 's#CFLAGS="-g -Wall -D_REENTRANT"##g' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}

%configure \
	--enable-libreadline \
	--enable-libwrap \
	--enable-libpcre \
	--enable-mtftp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},/var/lib/tftp} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,8},} \
	$RPM_BUILD_ROOT{/etc/sysconfig/rc-inetd,/etc/rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/atftpd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/atftpd

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n atftpd-common
%useradd -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g ftp tftp

%postun -n atftpd-common
if [ "$1" = "0" ]; then
	%userremove tftp
fi

%post -n atftpd-inetd
%service -q rc-inetd reload

%postun -n atftpd-inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post -n atftpd-standalone
/sbin/chkconfig --add atftpd
%service atftpd restart

%preun
if [ "$1" = "0" ]; then
	%service atftpd stop
	/sbin/chkconfig --del atftpd
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n atftpd-common
%defattr(644,root,root,755)
%doc README FAQ
%attr(755,root,root) %{_sbindir}/*
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%files -n atftpd-inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/tftpd

%files -n atftpd-standalone
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/atftpd
%attr(754,root,root) /etc/rc.d/init.d/atftpd
%changelog
* Wed Jul 22 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/atftp.git;a=log;h=master

* Thu May 28 2015 Marcin Krol <hawk@tld-linux.org> 6fa14fb
- release 2 (by relup.sh)

* Thu Mar 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0659946
- up to 0.7.1; switch to sourceforge as upstream

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0af42c5
- release 15

* Fri Jul 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 381a27e
- rel 14; update debian patch (ipv6 support and other fixes)

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c0d7e57
- drop obsolete files

* Tue Feb 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 34de13c
- release 13

* Tue Feb 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cb64d08
- new

* Tue Feb 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a5d5f6
- release 12

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ac88f0
- release 11

* Sun Oct 26 2008 Tomasz Pala <gotar@pld-linux.org> a737495
- Networking/Daemons/FTP group for TFTP servers

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> fe7e830
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9043c9a
- converted to UTF-8

* Fri Jan 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b57b79
- rel 10; fix build on th; debian patch; tinfo detection

* Fri Jan 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e00b5ea
- new

* Thu Sep 14 2006 Elan Ruusamäe <glen@pld-linux.org> 654c9ff
- s/rsync/atftpd/

* Thu Sep 14 2006 hawk <hawk@pld-linux.org> 4259ae5
- configuration for standalone atftpd kept in /etc/sysconfig

* Thu Sep 14 2006 hawk <hawk@pld-linux.org> ac27610
- init script for standalone version of atftpd, based on rsyncd script

* Thu Sep 14 2006 hawk <hawk@pld-linux.org> 4454090
- renamed atftpd subpackage into atftpd-common
- moved inetd startup scripts to atftpd-inetd subpackage
- added atftpd-standalone subpackage
- release 9

* Fri Sep 08 2006 Elan Ruusamäe <glen@pld-linux.org> 6b479da
- rel 8 (rebuild with fixed %useradd/%groupadd macros)

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> ac07b4c
- rel 7

